Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.blueprint.config.internal
Class BlueprintCollectionBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.eclipse.gemini.blueprint.config.internal.AbstractReferenceDefinitionParser
              org.eclipse.gemini.blueprint.config.internal.CollectionBeanDefinitionParser
                  org.eclipse.gemini.blueprint.blueprint.config.internal.BlueprintCollectionBeanDefinitionParser

All Implemented Interfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser

    public abstract class BlueprintCollectionBeanDefinitionParser

extends CollectionBeanDefinitionParser

Author:
  Costin Leau

Field Summary

Fields inherited from class org.eclipse.gemini.blueprint.config.internal.AbstractReferenceDefinitionParser
`GENERATED_REF, PROMOTED_REF`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`BlueprintCollectionBeanDefinitionParser()`

Method Summary
`protected void` | `applyDefaults(org.springframework.beans.factory.xml.ParserContext parserContext, OsgiDefaultsDefinition defaults, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected CollectionType` | `collectionType()` Hook used for indicating the main collection type (set/list) on which this parser applies.
`protected void` | `doParse(Element element, org.springframework.beans.factory.xml.ParserContext context, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected String` | `generateBeanName(String id, org.springframework.beans.factory.config.BeanDefinition def, org.springframework.beans.factory.xml.ParserContext parserContext)`
`protected String` | `getListenerElementName()`
`protected void` | `parseAttributes(Element element, org.springframework.beans.factory.support.BeanDefinitionBuilder builder, AttributeCallback[] callbacks, OsgiDefaultsDefinition defaults)` Allow subclasses to add their own callbacks.
`protected Set` | `parsePropertySetElement(org.springframework.beans.factory.xml.ParserContext context, Element beanDef, org.springframework.beans.factory.config.BeanDefinition beanDefinition)`
`protected Object` | `parsePropertySubElement(org.springframework.beans.factory.xml.ParserContext context, Element beanDef, org.springframework.beans.factory.config.BeanDefinition beanDefinition)`
`protected void` | `postProcessListenerDefinition(org.springframework.beans.factory.config.BeanDefinition wrapperDef)`
`protected OsgiDefaultsDefinition` | `resolveDefaults(Document document, org.springframework.beans.factory.xml.ParserContext parserContext)` Get OSGi defaults (in case they haven't been resolved).
`protected String` | `resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext parserContext)`

Methods inherited from class org.eclipse.gemini.blueprint.config.internal.CollectionBeanDefinitionParser
`getBeanClass, parseComparator, parseNaturalComparator, parseNestedElements`

Methods inherited from class org.eclipse.gemini.blueprint.config.internal.AbstractReferenceDefinitionParser
`applyDefaultCardinality, handleNestedDefinition, parseInterfaces, parseInternal, parseListeners`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlueprintCollectionBeanDefinitionParser

    public BlueprintCollectionBeanDefinitionParser()

Method Detail

### resolveDefaults

    protected OsgiDefaultsDefinition resolveDefaults(Document document,
                                                     org.springframework.beans.factory.xml.ParserContext parserContext)

  Description copied from class: `AbstractReferenceDefinitionParser`
  Get OSGi defaults (in case they haven't been resolved).

  Overrides:
    `resolveDefaults` in class `AbstractReferenceDefinitionParser`
  Returns:

### parseAttributes

    protected void parseAttributes(Element element,
                                   org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                   AttributeCallback[] callbacks,
                                   OsgiDefaultsDefinition defaults)

  Description copied from class: `CollectionBeanDefinitionParser`
  Allow subclasses to add their own callbacks. Add support for 'greedy-proxying' attribute.

  Overrides:
    `parseAttributes` in class `CollectionBeanDefinitionParser`

### parsePropertySetElement

    protected Set parsePropertySetElement(org.springframework.beans.factory.xml.ParserContext context,
                                          Element beanDef,
                                          org.springframework.beans.factory.config.BeanDefinition beanDefinition)

  Overrides:
    `parsePropertySetElement` in class `AbstractReferenceDefinitionParser`

### parsePropertySubElement

    protected Object parsePropertySubElement(org.springframework.beans.factory.xml.ParserContext context,
                                             Element beanDef,
                                             org.springframework.beans.factory.config.BeanDefinition beanDefinition)

  Overrides:
    `parsePropertySubElement` in class `AbstractReferenceDefinitionParser`

### doParse

    protected void doParse(Element element,
                           org.springframework.beans.factory.xml.ParserContext context,
                           org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Overrides:
    `doParse` in class `AbstractReferenceDefinitionParser`

### getListenerElementName

    protected String getListenerElementName()

  Overrides:
    `getListenerElementName` in class `AbstractReferenceDefinitionParser`

### collectionType

    protected CollectionType collectionType()

  Description copied from class: `CollectionBeanDefinitionParser`
  Hook used for indicating the main collection type (set/list) on which this parser applies.

  Specified by:
    `collectionType` in class `CollectionBeanDefinitionParser`
  Returns:
    service collection type

### generateBeanName

    protected String generateBeanName(String id,
                                      org.springframework.beans.factory.config.BeanDefinition def,
                                      org.springframework.beans.factory.xml.ParserContext parserContext)

  Overrides:
    `generateBeanName` in class `AbstractReferenceDefinitionParser`

### postProcessListenerDefinition

    protected void postProcessListenerDefinition(org.springframework.beans.factory.config.BeanDefinition wrapperDef)

  Overrides:
    `postProcessListenerDefinition` in class `AbstractReferenceDefinitionParser`

### applyDefaults

    protected void applyDefaults(org.springframework.beans.factory.xml.ParserContext parserContext,
                                 OsgiDefaultsDefinition defaults,
                                 org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Overrides:
    `applyDefaults` in class `AbstractReferenceDefinitionParser`

### resolveId

    protected String resolveId(Element element,
                               org.springframework.beans.factory.support.AbstractBeanDefinition definition,
                               org.springframework.beans.factory.xml.ParserContext parserContext)
                        throws org.springframework.beans.factory.BeanDefinitionStoreException

  Overrides:
    `resolveId` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`
  Throws:
    `org.springframework.beans.factory.BeanDefinitionStoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.